Subject: Re: B19: fread bug (NT and 95)
From: [email-masked] (Michael Weiser)

14 Sep 1998 02:57:11 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 8bit
To: [email-masked]

Hello Salumax, you wrote:
>   I found a bug with the fread instruction... In the C codes that I
>wrote, the fread instruction, not reads all the bytes of the image that
>I try to read... For example, when I execute the program "hola.c" that I
>include with this e-mail, and I try to read the image "lenna.dat" (64
>kb), hola.exe only reads 28 bytes of lenna.dat. What's the matter ?...
Just try to open the file in binary mode ("rb"). Perhaps there's a ^Z
at byte 29 of your file which causes fread to stop. Alternatively you
can mount all your drives in binary mode which causes cygwin32 to
assume "b" if no mode is given explicitly.
-- 
bye, Michael
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".